@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap');

@font-face {
    font-family: 'Gisha';
    src: url(./gisha.ttf);
}

*, *::after, *::before {
    box-sizing: border-box;
    font-family: 'Gisha','Poppins', sans-serif;
    font-weight: 400;
}

html {
    scroll-behavior: smooth;
}

body {
    --cl---1--: #ffffff;
    --cl---2--: #636262;
    --cl---3--: #4ac7b3;
    --cl---4--: #2dabeb;
    --cl---5--: linear-gradient(90.17deg,var(--cl---3--) 0.15%,var(--cl---4--) 99.87%);
    --cl---6--: #000000;
    --cl---7--: #f6f9fe;
    background: var(--cl---1--);
    margin: 0;
}

/*For SWAL2*/
body.swal2-shown:not(.swal2-no-backdrop):not(.swal2-toast-shown) { 
    overflow-y: visible !important; 
}
div:where(.swal2-icon) {
    border: none;
}
.stop-scrolling {
    height: 100%;
    overflow: hidden;
}
/*END OF For SWAL2*/


img:not(.arrow):not(.inline):not(.media-links img):not([src="./img/blue-star.svg"]) {
    max-width: 100%;
    width: 100%;
}

h1, h2, h3, h4, h5, h6 {
    margin: 0;
}

h2 {
    font-weight: 700;
    font-size: clamp(30px, 5vw, 40px);
    color: var(--cl---6--);
    text-transform: capitalize;
    line-height: 1.2;
}

h2 img {
    height: clamp(30px, 5vw, 40px);
}

h3 {
    font-weight: 500;
    font-size: 24px;
    color: var(--cl---6--);
    text-transform: capitalize;
    line-height: 1.2;
}

h5 {
    font-weight: 500;
    font-size: 24px;
    text-transform: uppercase;
    /* background-color: var(--cl---5--);
    background-clip: text;
    -webkit-background-clip: text; */
    /* not working */
    color: var(--cl---4--);
    /* -moz-background-clip: text;
    -ms-background-clip: text;
    -o-background-clip: text; */
    padding-bottom: 1em;
}

p {
    font-size: 20px;
    color: var(--cl---2--);
    padding: 2em 0;
    margin: 0;
}

.logo {
    padding: 5px;
    min-width: 100px;
    max-width: 350px;
    flex-grow: 1;
}

header .logo {
    min-width: 300px;
    max-width: 350px;
}

footer .logo {
    min-width: 280px;
    max-width: 300px;
}

a {
    display: inline-block;
    text-decoration: none;
    transition: 0.3s ease-in-out;
    -webkit-transition: 0.3s ease-in-out;
    -moz-transition: 0.3s ease-in-out;
    -ms-transition: 0.3s ease-in-out;
    -o-transition: 0.3s ease-in-out;
}

ul {
    margin: 0;
    padding: 0;
    list-style: none;
}

.row {
    display: flex;
}

.flex {
    align-items: center;
    flex-wrap: wrap;
    gap: clamp(2em, 5vw, 5em);
}

.flex>* {
    flex: 1 1 25em;
}

.column {
    display: grid;
}

.container, .time-and-price.container, .time-and-price-content.container {
    max-width: 90%;
    margin: 0 auto;
}

.clickable {
    cursor: pointer;
}
.non-clickable {
    cursor: default;
    /* cursor: copy; */
}

/* Page Button */

.page-btn {
    font-weight: 700;
    font-size: 16px;
    color: var(--cl---1--);
    text-transform: uppercase;
    background: var(--cl---5--);
    padding: 0.7em 2em;
    border-radius: 10px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    -ms-border-radius: 10px;
    -o-border-radius: 10px;
}

.page-btn.active, .page-btn:hover {
    border-radius: 50px;
    -webkit-border-radius: 50px;
    -moz-border-radius: 50px;
    -ms-border-radius: 50px;
    -o-border-radius: 50px;
}

.page-btn.active:hover {
    color: var(--cl---1--);
    border-radius: 10px;

}


/* End of Page Button */

/* Navigation */
header {
    align-items: center;
    justify-content: space-between;
    gap: 2em;
    padding: 0 2em;
}

nav ul {
    align-items: center;
    gap: 2em;
}

nav a {
    font-size: 16px;
    color: var(--cl---2--);
}

nav a:hover {
    color: var(--cl---3--);
}

.toggleContact.c-active::after {
    content: "";
    position: fixed;
    top: 5%;
    right: 5%;
    background-image: url("../img/close.svg");
    background-repeat: no-repeat;
    background-position: center;
    background-size: 20px;
    width: 20px;
    height: 20px;
    z-index: 10;
}

.above-after {
    display: none;
    position: fixed;
    top: 5%;
    right: 5%;
    background-image: url("../img/close.svg");
    background-repeat: no-repeat;
    background-position: center;
    background-size: 20px;
    /* border: 1px solid var(--cl---2--); */
    width: 20px;
    height: 20px;
    z-index: 10;
    cursor: pointer;
}
.above-after.c-active {
    display: block;
}

.contactMenu {
    position: absolute;
    inset: 0;
    margin: auto;
    min-height: 0;
    opacity: 0;
    background: rgba(0,0,0,0.3);
    padding: 4em 0;
    transform: scale(0);
    -webkit-transform: scale(0);
    -moz-transform: scale(0);
    -ms-transform: scale(0);
    -o-transform: scale(0);
}

.contactMenu.c-active {
    position: fixed;
    min-height: 100vh;
    opacity: 1;
    transform: scale(1);
    -webkit-transform: scale(1);
    -moz-transform: scale(1);
    -ms-transform: scale(1);
    -o-transform: scale(1);
    z-index: 9;
}

.contactMenu-content {
    /*<a href="https://www.freepik.com/free-vector/binary-code-white-background-with-floating-numbers_8289979.htm#query=programmer%20background&position=46&from_view=keyword&track=ais&uuid=c9bd86ff-e680-4792-9b36-6c0535f8b5ad">Image by starline</a> on Freepik*/
    /* background: linear-gradient(90deg, #ffffff 0%, rgba(255, 255, 255, 0.71) 44.4%, rgba(255,255, 255, 0) 60.46%), url(../img/binary-code-white-back.jpg); */
    /*<a href="https://www.freepik.com/free-vector/polygonal-background-with-binary-numbers_1075641.htm#query=programmer%20background&position=27&from_view=keyword&track=ais&uuid=7b7c8ab0-5a29-4ec3-8fbe-16c12bb3758e">Image by Creative_hat</a> on Freepik */
    background: linear-gradient(90deg, #ffffff 0%, rgba(255, 255, 255, 0.71) 44.4%, rgba(255,255, 255, 0) 60.46%), url(../img/binary-code-bright-polygonal-back.jpg);
    background: linear-gradient(270deg, #ffffff 0%, rgba(255, 255, 255, 0.71) 44.4%, rgba(255,255, 255, 0) 60.46%), url(../img/binary-code-bright-polygonal-back.jpg);
    /*<a href="https://www.freepik.com/free-vector/green-polygonal-background-with-binary-numbers_1075643.htm#from_view=detail_alsolike">Image by Creative_hat</a> on Freepik */
    /* background: linear-gradient(90deg, #ffffff 0%, rgba(255, 255, 255, 0.71) 44.4%, rgba(255,255, 255, 0) 60.46%), url(../img/binary-code-green-polygonal-back.jpg); */
    background-repeat: no-repeat;
    background-position: top center;
    background-size: cover;
    padding: 2em;
    box-shadow: 0px 4px 10px 1px rgba(0,0,0,0.2);
    overflow-y: auto;
    border-radius: 20px;
    -webkit-border-radius: 20px;
    -moz-border-radius: 20px;
    -ms-border-radius: 20px;
    -o-border-radius: 20px;
}

.contactMenu-content form {
    padding-top: 2em;
}

.contactMenu-content h4 {
    font-weight: 700;
    font-size: clamp(20px, 5vw, 36px);
    line-height: 1.2;
    color: var(--cl---3--);
}

.contactMenu-content h4:nth-last-of-type(1) {
    color: var(--cl---4--);
}

.form {
    flex-wrap: wrap;
    align-items: center;
    gap: 2em;
}

.form>* {
    flex: 1 1 10em;
}

.contactMenu-content label, ul#prefHours label {
    display: inline-block;
    font-weight: 500;
    font-size: 18px;
    color: var(--cl---6--);
    padding-bottom: 0.5em;
}

.contactMenu-content label[for="email"] {
    text-shadow: 1px 1px 3px 3px var(--cl---1--);
}

.contactMenu-content form input:not([type="checkbox"]),  
.contactMenu-content form textarea, 
.contactMenu-content form .like-select {
    width: 100%;
    padding: 1em 0.5em;
    border: 1px solid var(--cl---7--);
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
}

.contactMenu-content form textarea {
    font-size: 20px;
}

.contactMenu-content button {
    margin-top: 2em;
    border: 0;
    border-radius: 3px;
    cursor: pointer;
    padding: 1em;
    font-size: 1.2em;
    transition: 0.3s ease-in-out;
    -webkit-transition: 0.3s ease-in-out;
    -moz-transition: 0.3s ease-in-out;
    -ms-transition: 0.3s ease-in-out;
    -o-transition: 0.3s ease-in-out;
}

.contactMenu-content form .like-select {
    position: relative;
    background: var(--cl---7--);
}

.contactMenu-content form .like-select > div{
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.contactMenu-content form .like-select > div > span{
    display: flex;
    align-items: center;
}

ul#prefHours {
    display: none;
    overflow: auto;
    background: var(--cl---7--);
    border: 2px solid var(--cl---2--);
    box-shadow: 1px 4px 10px 1px rgba(0,0,0,0.2);
    z-index: 1200;
    position: absolute;
    padding: 0.5em 0.5em;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
}
ul#prefHours.open {
    display: block;
}
ul#prefHours label{
    display: flex;
    justify-content: flex-start;
}

/* li.with-arrow {
    display: flex;
    justify-content: space-between;
    align-items: center;
    min-height: 0;
} */

.arrow {
    /* width: 100%;
    height: 100%; */
    height: 16px;
    width: 16px;

    padding: 2px;
    background: var(--cl---7--);
    transition: 0.3s ease-in-out;
}

.arrow:hover {
    background: var(--cl---4--);
    color: var(--cl---7--);
}

.arrow.hide {
    display: none;
}

ul#prefHours li:hover {
    background: var(--cl---5--);
}
ul#prefHours [type="checkbox"], .contactMenu-content div [type="checkbox"] {
    height: 20px;
    width: 20px;
    accent-color: var(--cl---4--);
}

ul#prefHours .close {
    padding: 2px;
    position: absolute;
    top: 9px;
    right: 9px;
    background: var(--cl---7--);
    transition: 0.3s ease-in-out;
}

ul#prefHours .close:hover {
    background: var(--cl---3--);
    color: var(--cl---7--);
}
/* End of Navigation */

/* Hero */
.hero {
    flex-wrap: wrap-reverse;
    margin: 2em auto;
    background-image: url(../img/background-with-numbers-screen-binary-code-zero-one-computer-code-coding_546559-426.avif);
    background-position: right bottom;
    background-repeat: no-repeat;
    background-size: auto;
}

.hero h1 {
    font-weight: 700;
    font-size: clamp(40px,5vw,50px);
    color: var(--cl---6--);
    text-transform: uppercase;
    line-height: 1.2;
}

.hero-content p {
    font-size: 24px;
}

.hero-img img {
    max-height: 600px;
    object-fit: contain;
}
/* End of Hero */

/* Course and Why Study It Sections */
.course, .why-study-it {
    padding: 2em 0;
}

.course-img {
    flex-wrap: wrap;
    gap: 2em;
    overflow: hidden;
    border-radius: 20px;
}

.course-img>* {
    flex: 1 1 5em;
}

.course-content ul {
    list-style-image: linear-gradient(to left bottom, red, blue);
    list-style-image: url("../img/circle-thin-svgrepo-com-small-blue.svg");
    list-style-image: radial-gradient(at center, var(--cl---3--), var(--cl---4--));
    list-style-image: url("../img/circle-thin-svgrepo-com.svg");
    font-size: 24px;
    margin: 0 40px;
}

.course-content ul li {
    padding-bottom: 24px;
}

.course-content h2 .baby {
    min-height: 60px;
    transform: rotate(45deg); 
    vertical-align: bottom;
} 

.course-content h2 .smile {
    vertical-align: baseline;
    height: 30px;
} 

/* End of Course and Why Study It Sections */

/* Why Study It Section */
.why-study-it .let-s-see {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 10vw;
}

/* start EYE */
.why-study-it .eye-container {
    max-width: 100px;
    width: 100px;
    max-height: 100px;
}

.aligner {
    display: flex;
    align-items: center;
    justify-content: center;
  }
  
  .aligner-item {
    max-width: 50%;
  }
  
  .clip-circle {
      height: 80px;
      width: 100%;
      max-width:800px;
      border-radius: 50%;
      overflow: hidden;
      margin: 5px auto 0;
      border-top: 3px inset rgba(0,0,0,.25);
  }
    
  .eye {
      width: 100%;
      height: 80px;
      border-radius: 100%;
      position: relative;
      background: radial-gradient(circle at 50%, #fcfcfc, #efeff1 66%, #eecccc 100%);
  }
  
  
  .iris {
  width: 50%;
      max-width: 300px;
      height: 60px;
      border-radius: 100%;
      position: absolute;
      left: 0;
      top: 0;
      margin: 10% 30%;
    animation: move 5s ease-out infinite;
    background: radial-gradient(circle at 50% 50%, #066 0%, #6cc 90%);
  }
  
  .iris:before {
    content: "";
    width: 40%;
    height: 40%;
    border-radius: 100%;
    position: absolute;
    left: 50%;
    top: 50%;
    background: black;
    transform: translate(-50%, -50%);
  }
  
  .iris:after {
    content: "";
    width: 30%;
    height: 30%;
    border-radius: 100%;
    position: absolute;
    left: 20%;
    top: 20%;
    background: rgba(255, 255, 255, 0.2);
  }
  
  #lid {
    animation: blink 2.4s infinite;
    animation-delay: 8s;
    top: -10px;
    border-bottom:3px inset #000;
  }
  
  
  @keyframes move {
    0% {
      transform: none;
    }
    20% {
      transform: translateX(-20px) translateY(4px) scale(0.95);
    }
    25%, 44% {
      transform: none;
    }
    50%, 60% {
      transform: translateX(20px) translateY(-8px) scale(0.95);
    }
    66%, 100% {
      transform: none;
    }
  }
  @keyframes blink {
  
    90% {
      transform: none;
      animation-timing-function: ease-in;
    }
    93% {
      transform: translateY(3px) scaleY(0)
    }
    100% {
      animation-timing-function: ease-out;
    }
  }
/* end EYE */
/* Still inside Why Study It Section */

.why-study-it-cards {
    grid-template-columns: repeat(auto-fit, minmax(300px,1fr));
    justify-content: center;
}

.s-card {
    padding: 2em;
}

.s-card:nth-of-type(odd) {
    background: var(--cl---7--);
}

.s-card img {
    max-height: 65px;
    max-width: 75px;
}

.s-card h3 {
    padding-top: 0.5em;
}

.card-btn {
    width: 45px;
    height: 45px;
    align-items: center;
    justify-content: center;
    background: var(--cl---1--);
    fill: var(--cl---6--);
    border-radius: 50%;
}

.s-card:nth-of-type(even) .card-btn {
    background: var(--cl---7--);
}

.card-btn:hover {
    transform: scale(0.8);
}
/* End of Why Study It Section */

/* Instructor Section */
.instructor {
    background: var(--cl---7--);
    padding: 4em 0;
    margin: 4em 0 2em;
}

.instructor h2 {
    text-align: center;
}

.mySwiper {
    position: relative;
    padding-top: 2em;
}

.swiper-slide {
    gap: 10px;
    background: var(--cl---1--);
    padding: 2em 1em;
    border-radius: 10px;
}

.swiper-button-next::after, .swiper-button-prev::after {
    transform: scale(0.5);
}

.slide-profile {
    width: 150px;
    height: 150px;
}

.slide-profile img {
    border: 2.5px solid var(--cl---7--);
    object-fit: cover;
    border-radius: 50%;
    min-width: 70px;
}

.swiper-slide .row {
    padding-top: 1em;
}

.swiper-slide .row img {
    width: 25px;
}

.swiper-slize p {
    padding-bottom: 0;
}
/* End of Instructor Section */

/* Time and Price Section */
.time-and-price {
    display: grid;
    grid-template-areas:
    "a1 a2 a3 a4 a5 a6 a7 a8"
    "a9 b b b b b b a10"
    "a11 b b b b b b a12"
    "a13 b b b b b b a14"
    "a15 b b b b b b a16"
    "a17 b b b b b b a18"
    "a19 b b b b b b a20"
    "a21 b b b b b b a22"
    "a23 b b b b b b a24"
    "a25 b b b b b b a26"
    "a27 a28 a29 a30 a31 a32 a33 a34";
    --clock-hand-width: 6px;
}

.time-and-price-content {
    grid-area: b;
}

.clock {
    box-sizing: content-box;
    border: 8px solid var(--cl---3--);
    min-width: 3vw;
    min-height: 3vw;
    border-radius: 50%;
    margin: 30px auto;
    position: relative;
    padding: 1rem;
    box-shadow:
      0 0 0 4px rgba(0,0,0,0.1),
      inset 0 0 0 3px #EFEFEF,
      inset 0 0 5px black,
      0 0 5px rgba(0,0,0,0.2);
    cursor: pointer;
}

.clock.hide {
    display: none;
}

.clock-face {
    position: relative;
    width: 100%;
    height: 100%;
    /* transform: translateY(-3px); */ /* account for the height of the clock hands */
}

.hand {
    width: 50%;
    height: var(--clock-hand-width);
    background: var(--cl---3--);
    position: absolute;
    top: calc(50% - var(--clock-hand-width) / 2);
    transform-origin: 100%;
    transform: rotate(90deg);
    transition: all 0.05s;
    transition-timing-function: cubic-bezier(0.1, 2.7, 0.58, 1);
}

.hour-hand {
    right: 50%;
    background: var(--cl---2--);
}

.min-hand {
    width: 70%;
    height: 5px;
    top: calc(50% - 2.5px);
    left: -20%;
}

.second-hand {
    width: 90%;
    height: 2px;
    background: var(--cl---4--);
    top: calc(50% - 1px);
    left: -40%;
}

.time-and-price p {
    margin: 0;
    padding: 0;
    line-height: 1.8em;
}

.time-and-price .flex {
    gap: unset;
}

.time-and-price .page-btn {
    text-align: center;
}
/* End of Time and Price Section */

/* Contact Section */
.contact-body {
    position: relative;
    background: var(--cl---5--);
    padding: 10em 0;
    margin: 4em 0 0;
    z-index: 2;
}

.contact-body::after, .contact-body::before {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    margin: auto;
    background-repeat: no-repeat;
    background-size: auto;
    width: 96%;
    height: 100%;
    z-index: -1;
}

/* .contact-body::after {
    left: -30%;
    background-image: url("../img/computer-science-illustration09.jpg");
    background-position: left center;
    background-size: auto 80%;
} */
 .contact-body::after {
    left: 0px;
    bottom: 5px;
    background-image: url("../img/online-education-happy-computer-left.png");
    background-position: left bottom;
    background-size: 20% auto;
}
.contact-body::before {
    right: 0px;
    top: 5px;
    background-image: url("../img/online-education-computer-writing-right.png");
    background-position: right top;
    background-size: 20% auto;
}

.contact-content {
    text-align: center;
    max-width: 640px;
    margin: 0 auto;
}

.contact-content h2 {
    color: var(--cl---1--);
}

.contact-btns {
    position: relative;
    align-items: center;
    justify-content: space-between;
    padding: 1em 2.5em;
    z-index: 2;
    overflow: hidden;
    margin-top: 2em;
    border-radius: 20px;
}

.contact-btns::after, .contact-btns::before {
    content: "";
    position: absolute;
    top: 0;
    width: 50%;
    height: 100%;
    z-index: -1;
}

.contact-btns::after {
    background: var(--cl---1--);
    left: 0;
}

.contact-btns::before {
    background: var(--cl---6--);
    right: 0;
}

.contact-btns a {
    font-weight: 500;
    font-size: clamp(10px, 2vw, 22px);
    color: var(--cl---6--);
    text-transform: uppercase;
}

.contact-btns a:nth-last-of-type(1) {
    color: var(--cl---1--);
}

.contact-btns span {
    position: absolute;
    inset: 0;
    margin: auto;
    max-width: clamp(25px, 5vw, 55px);
    max-height: clamp(25px, 5vh, 55px);
    font-weight: 600;
    font-size: clamp(10px, 2vw, 22px);
    text-transform: uppercase;
    color: var(--cl---1--);
    background: var(--cl---5--);
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* .contact-btns .contactToggle.c-active::after {
    z-index: 10;
}

.contact-btns a.c-active:nth-last-of-type(1)::after {
    z-index:20;
} */

/* End of Contact Section */

/* Footer */

footer {
    background: var(--cl---7--);
    padding: 4em 0;
}

.footer {
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 2em;
}

.media-links {
    align-items: center;
    gap: 2em;
}

.media-links .hide {
    display: none;
}

.media-links img {
    width: 30px;
}

footer ul.grid {
    --gap: 2rem;
    --line-offset: calc(var(--gap) / 2);
    --line-thickness: 1px;
    --line-color: var(--cl---3--);
    display: grid;
    grid-template-columns: repeat(2,1fr);

    align-items: center;
    align-content: center;
    justify-content: center;
    column-gap: var(--gap);
    overflow: hidden;
}

footer li a {
    color: var(--cl---2--);
    font-size: 16px;
    white-space: nowrap;
}

footer ul.grid li {
    padding-bottom: 0.5em;
    padding-right: 2rem;
    position: relative;
}

footer ul.grid li::before {
    content: '';
    position: absolute;
    background-color: var(--line-color);
    z-index: 1;
    inline-size: var(--line-thickness);
    block-size: 100vh;
    inset-inline-start: calc(var(--line-offset) * -1);
}

.copy-right {
    font-size: 12px;
    text-align: center;
    padding-top: 2em;
}

/* End of Footer */

/* More of GENERAL */
.rtl {
    direction: rtl;
}
/* End of More of GENERAL */

/* Responsivity @media */

    @media screen and (min-width: 1205px) {

        .container {
            max-width: 1100px;
        }

        .hero-content {
            max-width: 550px;
        }

        .about-content {
            max-width: 420px;
        }

        .why-study-it-cards {
            max-width: 900px;
            margin-left: auto;
        }

    }

    @media  screen and (max-width: 1000px){
        .toggleMenu {
            background-image: url(../img/hamburger-menu-more-svgrepo-com.svg);
            background-repeat: no-repeat;
            background-position: center;
            background-size: 40px;
            width: 40px;
            height: 40px;
            transition: background-size 0.3s ease-in-out;
            -webkit-transition: background-size 0.3s ease-in-out;
            -moz-transition: background-size 0.3s ease-in-out;
            -ms-transition: background-size 0.3s ease-in-out;
            -o-transition: background-size 0.3s ease-in-out;
            z-index: 1000;
        }

        .toggleMenu.active {
            position: fixed;
            right: 5%;
            background-image: url(../img/close.svg);
            background-size: 25px;
        }

        .navigation {
            flex-direction: column;
            align-items: center;
            justify-content: center;
            position: absolute;
            inset: 0;
            margin: auto;
            min-height: 0;
            opacity: 0;
            transform: scale(0);
            -webkit-transform: scale(0);
            -moz-transform: scale(0);
            -ms-transform: scale(0);
            -o-transform: scale(0);
        }

        .navigation.active {
            position: fixed;
            min-height: 100vh;
            opacity: 1;
            background: transparent;
            transform: scale(1);
            -webkit-transform: scale(1);
            -moz-transform: scale(1);
            -ms-transform: scale(1);
            -o-transform: scale(1);
            z-index: 999;
        }

        nav ul {
            flex-direction: column;
        }
        
        nav.active ul {
            margin-top: 2rem;
            background: linear-gradient(var(--cl---1--) 74%,transparent);
        }

        .toggleContact.c-active::after {
            left: 5%;
            right: unset;
        }

        .hero {
            background-position: top center;
            background-size: contain;
        }

        .contact-body::after, .contact-body::before {
            background-size: 200px;
        }

        .contact-body::after {
            background-position: top left;
        }
        
        .contact-body::before {
            background-position: right bottom;
        }

}

@media screen and (max-width: 560px) {

    .time-and-price {

        grid-template-areas:
        "a1 a2 a3 a4 a5 a6 a7"
        "a8 b b b b b a9"
        "a10 b b b b b a11"
        "a12 b b b b b a13"
        "a14 b b b b b a15"
        "a16 b b b b b a17"
        "a18 b b b b b a19"
        "a20 b b b b b a21"
        "a22 b b b b b a23"
        "a24 b b b b b a25"
        "a26 b b b b b a27"
        "a28 a29 a30 a31 a32 a33 a34";

    }
    
}

@media screen and (max-width: 500px) {

    header .logo {
        min-width: 250px;
        max-width: 300px;
    }

    .time-and-price {

        grid-template-areas:
        "a1 a2 a3 a4 a5 a6"
        "a7 b b b b a8"
        "a9 b b b b a10"
        "a11 b b b b a12"
        "a13 b b b b a14"
        "a15 b b b b a16"
        "a17 b b b b a18"
        "a19 b b b b a20"
        "a21 b b b b a22"
        "a23 b b b b a24"
        "a25 b b b b a26"
        "a27 a28 a29 a30 a31 a32";

    }

    footer ul.grid {
        grid-template-columns: 1fr;
    }

    
}

@media screen and (max-width: 400px) {

    header.container {
        max-width: 96%;
        margin: 0 auto;
        padding: 1rem;
    }

    header .logo {
        min-width: 230px;
        max-width: 280px;
    }

}

@media screen and (max-width: 389px) {

    .time-and-price {

        grid-template-areas:
        "a1 a2 a3 a4 a5"
        "a6 b b b a7"
        "a8 b b b a9"
        "a10 b b b a11"
        "a12 b b b a13"
        "a14 b b b a15"
        "a16 b b b a17"
        "a18 b b b a19"
        "a20 b b b a21"
        "a22 b b b a23"
        "a24 b b b a25"
        "a26 a27 a28 a29 a30";

    }

}


/* End of Responsivity @media */